
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');
	
	var erro=0;
	var msg='\nPreencha os seguintes campos:\n'
	var nomeFuncionario;
	
	/* VALIDANDO NOME DO FUNCIONARIO */
	
	if(isEmpty(nomeFuncionario = document.getElementById('form_nomeFuncionario').value))
	{
		msg+='\nNome do funcion�rio'
		changeBack('l_nomeFuncionario','form_nomeFuncionario','label_alert','field_alert');
		
		if(erro=0)
			document.getElementById('form_nomeFuncionario').focus();
		
		erro=1;	
		 
	}
	else
	{
		if(!validaNome(nomeFuncionario))
		{
			msg+='\nNome completo do funcion�rio';
			changeBack('l_nomeFuncionario','form_nomeFuncionario','label_alert','field_alert');
		
			if(erro=0)
				document.getElementById('form_nomeFuncionario').focus();
		
			erro=1;	
		}
	}
	
	if(isEmpty(document.getElementById('form_loginFuncionario').value))
	{
		msg+='\nLogin';
		changeBack('l_loginFuncionario','form_loginFuncionario','label_alert','field_alert');
		
		if(erro=0)
				document.getElementById('form_loginFuncionario').focus();
		
		erro=1;	
	}
	
	if(isEmpty(document.getElementById('form_senhaFuncionario').value))
	{
		msg+='\nSenha';
		changeBack('l_senhaFuncionario','form_senhaFuncionario','label_alert','field_alert');
		
		if(erro=0)
				document.getElementById('form_senhaFuncionario').focus();
		
		erro=1;	
	}
	else
	{	
		senha = document.getElementById('form_senhaFuncionario').value;
		if(senha.length < 5)
		{
			msg+='\nA senha deve possuir no m�nimo 5 caracteres';
			changeBack('l_senhaFuncionario','form_senhaFuncionario','label_alert','field_alert');
			
			if(erro=0)
				document.getElementById('form_senhaFuncionario').focus();
		
			erro=1;	
		}
	}
	
	if(isEmpty(document.getElementById('form_confirmarSenha').value))
	{
		msg+='\nConfirmar senha';
		changeBack('l_confirmarSenha','form_confirmarSenha','label_alert','field_alert');
		
		if(erro=0)
			document.getElementById('form_confirmarSenha').focus();
		
		erro=1;	
	}
	
	else
	{
		confirmarSenha  = document.getElementById('form_confirmarSenha').value;
		if(senha != confirmarSenha)
		{
			msg+='\nConfirma��o da senha incorreta';
			changeBack('l_confirmarSenha','form_confirmarSenha','label_alert','field_alert');
			
			if(erro=0)
				document.getElementById('form_confirmarSenha').focus();
		
			erro=1;	
		}
	}
	
	if(erro==0)
		return true;
	else 
	{
		alert(msg);
		return false;
	}
}
